$NOFLOATCALLS
$NODEBUG
$STORAGE:2
c*********************************************************************

	subroutine caleps

c****	subroutine calculates the machine epsilon EPS using an
c****	algorithim adapted from Forsythe et. al. "Computer Methods
c****	for Mathematical Computations", Prentice-Hall,N.J. (1977).
c****	The EPS calculated can differ from the true machine EPS by
c****	at most a factor of 2.

	double precision eps
	common /epsil/eps

	eps=1.d0
10	eps=.5d0*eps
	if((eps+1.d0).GT.1.d0) goto 10
c	write(*,*) 'Machine Epsilon used=',eps
	return
	end
